# Get Historic Kimber Losses

`GET /data/historic/soiling/kimber`

Get historical soiling loss using the Kimber model for up to 31 days of data at a time for a requested location. Data is available from 2007-01-01T00:00Z to 7 days ago.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `latitude` | number (double) | yes | The latitude of the location (EPSG:4326). Must be between -90 and 90. |
| `longitude` | number (double) | yes | The longitude of the location (EPSG:4326). Must be between -180 and 180. |
| `start` | string | yes | ISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed. |
| `duration` | string | no | ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request. |
| `end` | string | no | ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed. |
| `period` | string | no | Length of the averaging period in ISO 8601 duration format. Default is PT30M. |
| `cleaning_threshold` | number (double) | no | Amount of daily rainfall required to clean the panels (mm). Default is 6.0. Accepted range is 0 to 100. |
| `format` | string | no | Response format. Default is HTML if not supplied. |
| `grace_period` | integer (int32) | no | Number of days after a rainfall event when it's assumed the ground is damp (0 to 100). Default is 14 days. |
| `initial_soiling` | number (double) | no | Initial fraction of energy lost due to soiling at time zero in the rainfall series input (0 to 1). Default is 0. |
| `manual_wash_dates` | string[] | no | Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded. |
| `max_soiling` | number (double) | no | Maximum fraction of energy lost due to soiling. Soiling will build up until this value (0 to 1). Default is 0.3. |
| `soiling_loss_rate` | number (double) | no | Fraction of energy lost due to one day of soiling. Default is 0.0015. |
| `time_zone` | string | no | Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc. |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/data/historic/soiling/kimber?latitude=-33.8567&longitude=151.2152&start=2026-01-01&time_zone=<time_zone>&period=PT60M" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "latitude": "-33.8567",
    "longitude": "151.2152",
    "start": "2026-01-01",
}

response = requests.get(
    "https://api.solcast.com.au/data/historic/soiling/kimber", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "estimated_actuals": [
    {
      "kimber_loss_fraction": 0.0053,
      "period_end": "2026-01-01T00:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0.0053,
      "period_end": "2026-01-01T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0.0054,
      "period_end": "2026-01-01T02:00:00+00:00",
      "period": "PT60M"
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `EstimatedActualsDataResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `estimated_actuals` | object[] | no |  |

Source: /docs/section/soiling#getDataHistoricSoilingKimber
